body.sng_page-template-sng-refer-a-friend-template #content.type-sng-page {
  max-width: 1280px;
}

body.sng_page-template-sng-refer-a-friend-template
  #content.type-sng-page
  .sng-public-container {
  display: none;
}

body.sng_page-template-sng-refer-a-friend-template
  #content.type-sng-page
  .sng-page-content {
  display: flex;
  gap: 40px;
  width: 100%;
  padding: 60px 0px 100px;
}

body.sng_page-template-sng-refer-a-friend-template
  #content.type-sng-page
  .sng-page-content
  > div {
  width: 50%;
  font-family: "Nunito", Sans-serif;
  font-size: 20px;
  font-weight: 400;
  line-height: 27px !important;
  color: var(--e-global-color-text);
}

#sng_refer_a_friend_form {
  max-width: 100%;
  background: #ffffff;
  border-radius: 25px;
  padding: 30px 50px 30px 50px;
  width: 100%;
  float: right;
  box-shadow: 0px 12px 30px 0px
    rgba(91, 58.000000000000036, 41.00000000000001, 0.09);
  z-index: 2;
  position: relative;
  margin-top: -250px;
}

#sng_refer_a_friend_form div.sng-form-group:last-child div {
  font-size: 16px;
}

.sng-form-group,
.sng-dog-fields-wrapper {
  margin-bottom: 20px;
}

.sng-form-group label,
.sng-dog-fields-wrapper label {
  padding-bottom: 5px;
}

.sng-referral-header h4 {
  margin-top: 20px;
  margin-bottom: 10px;
  font-size: 24px;
  font-weight: bold;
  line-height: 37px;
  font-family: "Nunito";
}

.sng-add-referral {
  font-family: "Nunito", Sans-serif;
  font-size: 14px;
  font-weight: 700;
  line-height: 22px;
  fill: var(--e-global-color-text);
  color: var(--e-global-color-text);
  background-color: var(--e-global-color-primary) !important;
  box-shadow: 0px 12px 30px 0px
    rgba(91, 58.000000000000036, 41.00000000000001, 0.09);
  border-radius: 8px 32px 32px 32px;
  border-color: transparent !important ;
  padding: 8px 16px;
}
.sng-add-referral:hover {
  background-color: #ffd596 !important;
  color: var(--e-global-color-text);
}

#sng_refer_a_friend_form a {
  color: #d67c22;
  text-decoration: none;
}

.sng-remove {
  border: 1px solid;
  border-radius: 50%;
  padding: 5px 10px;
  margin-top: -20px;
}

.sng_page-template-sng-refer-a-friend-template header.page-header {
  width: 100%;
  padding: 30px 150px;
  min-height: 250px;
  display: flex;
  align-items: center;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
}

.sng_page-template-sng-refer-a-friend-template
  header.page-header
  h1.entry-title {
  color: #fff !important;
  margin: 5px 0px 0px 0px;
  font-weight: bold;
  font-size: 60px;
}

#sng_refer_a_friend_form {
  position: relative;
}

#sng_refer_a_friend_form::before {
  content: "";
  display: block;
  width: 180px;
  height: 130px;
  margin: -65px auto 35px;
  background: url("/wp-content/uploads/2026/07/refer-a-friend.webp") center /
    contain no-repeat;
}

.sng-add-referral::before {
  content: "";
  display: inline-block;
  width: 13px;
  height: 13px;
  margin-right: 4px;
  background-image: url("/wp-content/uploads/2026/08/plus-sign-stroke-rounded.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
  vertical-align: -2px;
}

body.sng_page-template .sng-submit-button::after {
  content: "";
  display: inline-block;
  width: 16px;
  height: 16px;
  margin-left: 6px;
  background: url("/wp-content/uploads/2026/07/arrow-right-02-stroke-rounded-1.svg")
    center / contain no-repeat;
  vertical-align: -1px;
}

@media only screen and (max-width: 1024px) {
  body.sng_page-template-sng-refer-a-friend-template #content.type-sng-page {
    padding-left: 15px;
    padding-right: 15px;
    margin-bottom: 60px;
  }
  body.sng_page-template-sng-refer-a-friend-template
    #content.type-sng-page
    .sng-page-content {
    padding: 40px 0px;
    gap: 60px;
    flex-direction: column;
  }

  body.sng_page-template-sng-refer-a-friend-template
    #content.type-sng-page
    .sng-page-content
    > div {
    width: 100%;
  }

  #sng_refer_a_friend_form {
    margin: 0px !important;
    padding: 30px 20px;
  }

  .sng_page-template-sng-refer-a-friend-template header.page-header {
    padding: 30px 10px;
    min-height: 200px;
  }

  .sng_page-template-sng-refer-a-friend-template
    header.page-header
    h1.entry-title {
    font-size: 40px;
    line-height: 40px;
  }
}
